﻿@model Iglo.World.ViewModels.ApDetailViewModel

@using Kendo.Mvc.UI
@using (Html.BeginForm(null, null, FormMethod.Post, new { id = "addEditFormDetail", name = "addEditFormDetail" }))
{
    <div class="form-horizontal">
        <div class="form-group row" style="display:none">
            <div class="col-md-2">
                @Html.LabelFor(m => m.InvoiceNum)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.InvoiceNum).HtmlAttributes(new { @class = "form-control", @maxlength = 50 }))

            </div>
        </div>
        <div class="form-group row" style="display:none" >
            <div class="col-md-2">
                @Html.LabelFor(m => m.InvoiceLine)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.InvoiceLine).HtmlAttributes(new { @class = "form-control", @maxlength = 50 }))

            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.LabelFor(m => m.PartNum)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.PartNum).HtmlAttributes(new { @class = "form-control", @maxlength = 50 }))

            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.LabelFor(m => m.PartDescriptions)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.PartDescriptions).HtmlAttributes(new { @class = "form-control", @maxlength = 1000 }))

            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.LabelFor(m => m.Qty)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().NumericTextBoxFor(m => m.Qty).HtmlAttributes(new { @class = "form-control", @maxlength = 18 }))

            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.LabelFor(m => m.Uom)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.Uom).HtmlAttributes(new { @class = "form-control", @maxlength = 6 }))

            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.LabelFor(m => m.Cost)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().NumericTextBoxFor(m => m.Cost).HtmlAttributes(new { @class = "form-control", @maxlength = 18}))

            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.LabelFor(m => m.TotalCost)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().NumericTextBoxFor(m => m.TotalCost).HtmlAttributes(new { @class = "form-control", @maxlength = 18}))

            </div>
        </div>
    </div>
    <div class="modal-footer">
        <div class="btn-wrapper">
            <button class="btn btn-primary" type="submit" id="btnSaveDetail" name="btnSave">SAVE</button>
        </div>
    </div>
}

<script>
    $(function () {
        $("#btnSaveDetail").click(popup.saveClickDetail);
    });
</script>
